CWGEN(1)

NAME
cwgen - generate groups of random characters for Morse code practice

SYNOPSIS
cwgen [-g --groups=groups] [-n --groupsize=groupsize] [-n --groupsize=group_min-group_max] [-r --repeat=repeat] [-x --limit=limit] [-c --charset=charset] [-h --help] [-V --version]

cwgen installed on GNU/Linux systems understands both short form and long form command line options. cwgen installed on other operating systems may understand only the short form options.

Options may be predefined in the environment variable CWGEN_OPTIONS. If defined, these options are used first; command line options take precedence.

DESCRIPTION

cwgen provides a simple method to generate groups of random characters for use as input into cw. Command line options control the group size, number of groups, and character set from which the random characters are selected.

  COMMAND LINE OPTIONS
cwgen understands the following command line options. The long form options may not be available in non-LINUX versions.

-g, --groups
    Specifies the number of groups of random characters to generate. The default value is 128.

-n, --groupsize
    Specifies either the number of random characters in each group, if a single value is given, or a range for the number of random characters in each group if a dash-separated pair of values is given. If a range is given, cwgen generates groups sized randomly between 'group_min' and 'group_max'. The default value is 5.

-r, --repeat
    Specifies the number of times to repeat each group. The default value is 0, indicating that each group is printed just once.

-x, --limit
    Specifies an upper limit on the number of characters printed. This option is useful when using random group sizes, to ensure a given amount of practice text. The default value is 0, indicating no upper limit on the number of characters printed.

-c, --charset
    Defines the character set from which the random characters are selected. The default value is 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'.

EXAMPLES
Generate 20 groups of 10 characters from the set EISH5, and sound them as Morse code. Both short-form and long-form option examples are shown:

    cwgen -g 20 -n 10 -c "EISH5" | cw -w 25 -t 850

    cwgen --groups=20 --groupsize=10 --charset="EISH5" | cw --wpm=25 --tone=850

SEE ALSO
Man pages for cw(7,LOCAL), libcw(3,LOCAL), cw(1,LOCAL), cwcp(1,LOCAL), and xcwcp(1,LOCAL).